package com.winhc.bigdata.task;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author x
 */
@EnableAsync
@EnableScheduling
@SpringBootApplication
@MapperScan("com.winhc.bigdata.task.**.mapper")
public class WinhcBigdataTaskApplication {

    public static void main(String[] args) {
        SpringApplication.run(WinhcBigdataTaskApplication.class, args);
    }

}
