package com.winhc.bigdata.task.framework.odps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: XuJiakai
 * 2021/7/2 09:54
 */
@Builder
@TableName(value = "max_compute_instance")
@Data
public class MaxComputeInstance implements Serializable {
    @TableId(type = IdType.INPUT)
    private String id;

    private String sqlId;

    private String type;

    /**
     * json 格式
     */
    private String detail;

    private Boolean successful;

    private Boolean instanceTerminated;
    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Date createTime;


    @TableLogic
    private Integer deleted;

}
