package com.winhc.bigdata.task.framework.odps.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: XuJiakai
 * 2021/7/5 15:43
 */
@Builder
@TableName(value = "odps_sql_info")
@Data
public class OdpsSqlInfo implements Serializable {
    @TableId(type = IdType.INPUT)
    private String id;

    private String sqlStr;

    private String outputTab;

    /**
     * 分区数量
     */
    private Integer partitions;

    private Boolean lockSign;

    private String lockByName;

    /**
     *
     */
    private Date updateTime;

    /**
     *
     */
    private Date createTime;

    private String createBy;

    @Version
    private Integer version;

    @TableLogic
    private Integer deleted;
}
