package com.winhc.bigdata.task.test;

import com.winhc.bigdata.task.util.EsFastScan;
import lombok.AllArgsConstructor;
import org.elasticsearch.client.RestHighLevelClient;
import org.elasticsearch.search.SearchHit;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.function.Consumer;

/**
 * @author: XuJiakai
 * 2021/6/18 19:52
 */
@Component
@AllArgsConstructor
public class ScanEs {
    private final RestHighLevelClient restHighLevelClient;
    private final KafkaTemplate<String, String> kafkaTemplate;

    public void ex() {
        String dsl = "{\"query\":{\"term\":{\"deleted\":{\"value\":\"9\"}}}}";

        Consumer<SearchHit[]> func = list -> {
            Arrays.stream(list).forEach(d -> {
                String id = d.getId();
                kafkaTemplate.send("", id);
            });

        };
        new EsFastScan(restHighLevelClient, func, "winhc-company-v8", "company", dsl).scan();

    }


}
