package com.winhc.bigdata.task.util;

import com.winhc.bigdata.task.enums.DataWorksTaskFlowEnum;

import java.util.Map;

/**
 * @author: XuJiakai
 * 2021/7/6 16:32
 */
public class DataWorksFlowStatusUtil {

    public static Boolean isSuccessful(Map<String, DataWorksTaskFlowEnum> map) {
        long count = map.values()
                .stream()
                .filter(e -> !(DataWorksTaskFlowEnum.SUCCESS.equals(e) || DataWorksTaskFlowEnum.FAILURE.equals(e)))
                .count();
        if (count > 0) {
            return null;
        }
        long failureNum = map.values()
                .stream()
                .filter(e -> DataWorksTaskFlowEnum.FAILURE.equals(e))
                .count();

        if (failureNum > 0) {
            return false;
        } else {
            return true;
        }
    }
}
