package com.winhc.bigdata.task.util;

import com.winhc.bigdata.task.util.ding.talk.DingTalkMarkDown;
import com.winhc.bigdata.task.util.ding.talk.DingTalkText;
import com.winhc.bigdata.task.util.ding.talk.MarkDownBuilder;
import com.winhc.bigdata.task.util.ding.talk.MarkDownText;
import lombok.Builder;
import lombok.Data;

/**
 * @author: XuJiakai
 * 2021/4/12 14:19
 */
@Builder
@Data
public class DingTalkBody {

    public DingTalkText text(String text) {
        return DingTalkText.builder().content(text).build();
    }

    public DingTalkMarkDown.DingTalkMarkDownBuilder markDown() {
        return DingTalkMarkDown.builder();
    }


    public static void main(String[] args) {
        MarkDownBuilder markDownBuilder = new MarkDownBuilder();
        MarkDownBuilder 一级标题 = markDownBuilder.titleFor1("一级标题")
                .titleFor2(new MarkDownText("fasdlkfj", MarkDownText.MarkDownTextStyle.删除线).link("https://www.baidu.com"))
                .titleFor3("3")
                .titleFor4("4")
                .titleFor6("6");

        System.out.println(一级标题);
    }


}
