package com.winhc.bigdata.task.vo.dataworks;

import com.winhc.bigdata.task.util.JsonUtils;
import lombok.*;

import java.util.Map;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/22 14:45
 * @Description:
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskParam {
    private String projectName;
    private String flowName;
    private String bizDate;
    private Map<String, String> nodeParam;

    @Override
    public String toString() {
        return JsonUtils.jsonObjToString(this);
    }
}
