package com.winhc.bigdata.task;

import com.aliyun.odps.Odps;
import com.aliyun.odps.Partition;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;
import java.util.stream.Collectors;

@SpringBootTest
class WinhcBigdataTaskApplicationTests {

    @Autowired
    private  Odps odps;

    @Test
    void contextLoads() {
        List<Partition> partitions = odps.tables().get("winhc_ng", "out_pull_spider_data").getPartitions();
        String ds1 = partitions.stream().map(r -> {
            String ds = r.getPartitionSpec().get("ds");
            return ds;
        })
                .filter(r -> !r.startsWith("20210706_1lsouw"))
                .map(r -> {
                    return "ALTER TABLE out_pull_spider_data DROP IF EXISTS PARTITION(ds='" + r + "');";
                }).collect(Collectors.joining("\n"));
        System.out.println(ds1);

    }

}
