package com.winhc.bigdata.task.configuration;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/8 15:56
 * @Description:
 */
@Data
@Configuration
public class DataWorksAccessProperties {
    @Value("${data-works.access-key-id}")
    private String accessKeyId;
    @Value("${data-works.access-key-secret}")
    private String accessKeySecret;
    @Value("${data-works.region-id}")
    private String regionId;
}
