package com.winhc.bigdata.task.util;

import java.util.Random;

/**
 * @author: XuJiakai
 * 2021/4/14 11:56
 */
public class GenerateIdUtils {
    /**
     * 获取一定长度的随机字符串
     *
     * @param length 指定字符串长度
     * @return 一定长度的字符串
     */
    public static String getRandomStringByLength(int length) {
        String base = "abcdefghijklmnopqrstuvwxyz0123456789";
        Random random = new Random();
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < length; i++) {
            int number = random.nextInt(base.length());
            sb.append(base.charAt(number));
        }
        return sb.toString();
    }

    public static String generateTaskId() {
        String yesterday = DateUtils.getYesterday_ymd();
        return yesterday + "_" + getRandomStringByLength(6);
    }
}
